Update CSIT job for CMSO Dublin 30/84730/12
authorJerry Flood <jflood@att.com>
Tue, 9 Apr 2019 17:54:19 +0000 (13:54 -0400)
committerJerry Flood <jflood@att.com>
Tue, 9 Apr 2019 23:33:13 +0000 (19:33 -0400)
Issue-ID: OPTFRA-472
Change-Id: I80fc67473179ef2aa2d8fe559b5dd513cee7dbe7
Signed-off-by: Jerry Flood <jflood@att.com>
plans/optf-cmso/cmso/setup.sh
scripts/optf-cmso/cmso/clone_cmso_and_change_dockercompose.sh
scripts/optf-cmso/cmso/kill_and_remove_cmso_containers.sh
tests/optf-cmso/cmso/testsuites/ChangeManagementImmediate.robot

index c30d830..c57af13 100644 (file)
@@ -22,8 +22,3 @@
 # Place the scripts in run order:
 
 source ${WORKSPACE}/scripts/optf-cmso/cmso/clone_cmso_and_change_dockercompose.sh
-
-source ${WORKSPACE}/scripts/optf-cmso/cmso/start_cmso_containers.sh
-
-# Pass any variables required by Robot test suites in ROBOT_VARIABLES
-#ROBOT_VARIABLES="-v TEST:${TEST}"
index 03fca80..3b2de74 100644 (file)
@@ -25,14 +25,34 @@ echo "This is ${WORKSPACE}/scripts/cmso/clone_cmso_and_change_dockercompose.sh"
 
 
 # Clone cmso repo to get extra folder that has all needed to run docker with docker-compose to start DB and cmso-service and cmso-dbinit
-mkdir -p $WORKSPACE/archives/cmso-clone
-cd $WORKSPACE/archives/cmso-clone
+mkdir -p /tmp/$WORKSPACE/archives/cmso-clone
+cd /tmp/$WORKSPACE/archives/cmso-clone
 git clone --depth 1 https://gerrit.onap.org/r/optf/cmso -b master
-cd cmso/cmso-service/extra/docker
+cd cmso/cmso-robot/docker/cmso-service
 
-# Pull the cmso docker image from nexus instead of local image by default in the docker-compose.yml
-sed -i '/image: onap\/optf-cmso-service/c\    image: nexus3.onap.org:10001\/onap\/optf-cmso-service' docker-compose.yml
+sed -i '/image: onap\/optf-cmso-service/c\    image: nexus3.onap.org:10001\/onap\/optf-cmso-service:latest' docker-compose.yml
+sed -i '/image: onap\/optf-cmso-dbinit/c\    image: nexus3.onap.org:10001\/onap\/optf-cmso-dbinit:latest' docker-compose.yml
+sed -i '/image: onap\/optf-cmso-topology/c\    image: nexus3.onap.org:10001\/onap\/optf-cmso-topology:latest' docker-compose.yml
+sed -i '/image: onap\/optf-cmso-ticketmgt/c\    image: nexus3.onap.org:10001\/onap\/optf-cmso-ticketmgt:latest' docker-compose.yml
+sed -i '/image: onap\/optf-cmso-optimizer/c\    image: nexus3.onap.org:10001\/onap\/optf-cmso-optimizer:latest' docker-compose.yml
+sed -i '/image: onap\/optf-cmso-robot/c\    image: nexus3.onap.org:10001\/onap\/optf-cmso-robot:latest' docker-compose.yml
 
-sed -i '/image: onap\/optf-cmso-dbinit/c\    image: nexus3.onap.org:10001\/onap\/optf-cmso-dbinit' docker-compose.yml
+pip uninstall docker-py; pip uninstall docker; pip install docker
 
+#!/bin/bash
+docker-compose up >up.txt 2>&1 &
+
+
+### Wait for docker compose to complete
+sleep 300
+echo =======================up.txt
+cat up.txt
+echo =======================
+
+### Wait for robot to finish
+docker exec cmsoservice_cmso-robot_1 ls
+while [ $? -ne 1 ]; do
+  sleep 120
+  docker exec cmsoservice_cmso-robot_1 ls
+done
 
index 681099c..5d8c059 100644 (file)
 #
 
 echo "This is ${WORKSPACE}/scripts/optf-cmso/cmso/kill_and_remove_cmso_containers.sh"
+cd /tmp/$WORKSPACE/archives/cmso-clone
+cd cmso/cmso-robot/docker/cmso-service
+docker-compose down
 
-kill-instance.sh cmso-service
-kill-instance.sh cmso-mariadb
-kill-instance.sh cmso-db-init
+cp -f ./cmso-robot/logs/output.xml $WORKSPACE/archives
+cp -f ./cmso-robot/logs/log.html $WORKSPACE/archives
+cp -f ./cmso-robot/logs/report.html $WORKSPACE/archives
 
-#delete cmso-clone folder
-
-rm -rf ${WORKSPACE}archives/cmso-clone
+##rm -rf ${WORKSPACE}/archives/cmso-clone
 
 
index ee6f8b1..6990cf4 100644 (file)
@@ -1,28 +1,6 @@
 *** Settings ***
-Documentation    Creates VID VNF Instance
-
-#Library   StringTemplater
-#Library   UUID
-Library                ../attlibs/UID.py
-Library                ../attlibs/StringTemplater.py
-Resource    ../resources/change_management_ete.robot
-
-# Test Setup            
-Test Template         Change Management Immediate Template
-# Test Teardown         
+Documentation    Placeholder for running CMSO IT 
 
 *** Test Cases ***
-One Vnf Immediate Replace   OneVnfImmediate.json.template   Replace 
-   [Tags]   ete   immediate
-
-One Vnf Immediate Update Config    OneVnfImmediate.json.template   VNF Config Update 
-   [Tags]   ete   immediate
-
-One Vnf Immediate Update In Place    OneVnfImmediate.json.template   VNF Update Software In Place 
-   [Tags]   ete   immediate
-
-One Vnf Immediate Update    OneVnfImmediate.json.template   Update 
-   [Tags]   ete   immediate
-
-Multiple Vnf Immediate   MultipleVnfImmediate.json.template   Replace   
-   [Tags]   ete   immediate
+CMSO Robot Test
+   Log    CMSO IT tests run via cmso-robot docker container.
\ No newline at end of file